searchData={"items":[{"type":"module","title":"Bamboo.Mua","doc":"Bamboo adapter for [Mua.](https://github.com/ruslandoga/mua)\n\nFor supported configuration options, please see [`option()`](#t:option/0)","ref":"Bamboo.Mua.html"},{"type":"type","title":"Bamboo.Mua.option/0","doc":"","ref":"Bamboo.Mua.html#t:option/0"},{"type":"exception","title":"Bamboo.Mua.MultihostError","doc":"Raised when no relay is used and recipients contain addresses across multiple hosts.\n\nFor example:\n\n    email =\n      Bamboo.Email.new_email(\n        to: {\"Mua\", \"mua@github.com\"},\n        cc: [{\"Bamboo\", \"mua@bamboo.github.com\"}]\n      )\n\n    Bamboo.Mua.deliver(email, _no_relay_config = %{})\n\nFields:\n\n  - `:hosts` - the hosts for the recipients, `[\"github.com\", \"bamboo.github.com\"]` in the example above","ref":"Bamboo.Mua.MultihostError.html"},{"type":"function","title":"Bamboo.Mua.MultihostError.message/1","doc":"","ref":"Bamboo.Mua.MultihostError.html#message/1"},{"type":"type","title":"Bamboo.Mua.MultihostError.t/0","doc":"","ref":"Bamboo.Mua.MultihostError.html#t:t/0"},{"type":"extras","title":"Bamboo.Mua","doc":"# Bamboo.Mua\n\n[![Hex Package](https://img.shields.io/hexpm/v/bamboo_mua.svg)](https://hex.pm/packages/bamboo_mua)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-blue.svg)](https://hexdocs.pm/bamboo_mua)\n\n[Bamboo](https://github.com/thoughtbot/bamboo) adapter for [Mua.](https://github.com/ruslandoga/mua)","ref":"readme.html"},{"type":"extras","title":"Installation - Bamboo.Mua","doc":"```elixir\ndefp deps do\n  [\n    {:bamboo_mua, \"~> 0.2.0\"},\n    {:castore, \"~> 1.0\"}\n  ]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"Usage - Bamboo.Mua","doc":"```elixir\n# for supported configuration, please see https://hexdocs.pm/bamboo_mua/Bamboo.Mua.html#t:option/0\nApplication.put_env(:example, Mailer, adapter: Bamboo.Mua)\n\ndefmodule Mailer do\n  use Bamboo.Mailer, otp_app: :example\nend\n\nemail =\n  Bamboo.Email.new_email(\n    from: {\"Mua\", \"mua@github.com\"},\n    to: {\"Receiver\", \"receiver@mailpit.example\"},\n    subject: \"how are you?\",\n    text_body: \"I'm fine\",\n    html_body: \"I'm  fine \"\n  )\n\nMailer.deliver_now(email)\n```","ref":"readme.html#usage"},{"type":"extras","title":"Changelog","doc":"# Changelog","ref":"changelog.html"},{"type":"extras","title":"0.2.2 (2024-08-16) - Changelog","doc":"- add Date and Message-ID headers if missing https://github.com/ruslandoga/bamboo_mua/pull/54","ref":"changelog.html#0-2-2-2024-08-16"},{"type":"extras","title":"0.2.1 (2024-06-12) - Changelog","doc":"- skip MX lookups when using relay","ref":"changelog.html#0-2-1-2024-06-12"},{"type":"extras","title":"0.2.0 (2024-05-29) - Changelog","doc":"- update Mua to v0.2.0, which splits `:transport_opts` into `:tcp` and `:ssl` options https://github.com/ruslandoga/mua/pull/44","ref":"changelog.html#0-2-0-2024-05-29"},{"type":"extras","title":"0.1.5 (2024-02-28) - Changelog","doc":"- improve documentation and don't include content-length header for attachments https://github.com/ruslandoga/bamboo_mua/pull/26","ref":"changelog.html#0-1-5-2024-02-28"},{"type":"extras","title":"0.1.4 (2023-12-30) - Changelog","doc":"- relax Bamboo version requirement","ref":"changelog.html#0-1-4-2023-12-30"},{"type":"extras","title":"0.1.3 (2023-12-26) - Changelog","doc":"- update docs","ref":"changelog.html#0-1-3-2023-12-26"},{"type":"extras","title":"0.1.2 (2023-07-15) - Changelog","doc":"- add multihost error and refactor https://github.com/ruslandoga/bamboo_mua/pull/3","ref":"changelog.html#0-1-2-2023-07-15"},{"type":"extras","title":"0.1.1 (2023-07-13) - Changelog","doc":"- prepare recipients before rendering https://github.com/ruslandoga/bamboo_mua/pull/2","ref":"changelog.html#0-1-1-2023-07-13"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}